::  Tracker Log File Retrieval Tool
::  This tool retreives Tracker Log filles from the C:\FARO_CompIT_Data folder
::  To be used by FARO Customer Support in troubleshooting

::  This tool is compatabile with:
::  Windows XP, Windows Vista and Windows 7


::  Version 1.0 - Feb 20, 2012



@echo off


::Set a TEMPDIR as a folder named FARO_TEMP to the users TEMP folder
set TEMPDIR="%TEMP%\FARO_TEMP"


::  Make the temporary directory.  Remove the temp directory if one already exists from another run of this tool
rmdir %TEMPDIR% /S /Q
mkdir %TEMPDIR%



::Obtain Tracker Log Files and copy them to the TEMP DIR


echo ***********************************************
echo **      Obtaining FARO Tracker Log Files     **
echo ***********************************************



::Define FILETOMOVE as the FARO_CompIT_Data folder
set FILETOMOVE="C:\FARO_CompIT_Data"

::Create a new folder called Tracker Log Files in the TEMPDIR
::Copy CompIT Log file folder to this new folder

Set TRACKERDIR="%TEMP%\FARO_TEMP\Tracker Log Files"
mkdir %TRACKERDIR%
xcopy %FILETOMOVE% %TRACKERDIR% /e





::***********************************Compress all Information*************************


::Create a windows script file named _zipIt.vbs that compresses an entire folder
::First, change the DOS working directory to the temp directory so this script is written
::their.  If not, it would be written to the folder that MSinfo is in
::and this could create a problem if computer has strict write privlidges

::clear the screen and display new heading

cls

echo ***********************************************
echo **          Compressing Information          **
echo ***********************************************


cd %TEMP%


::  Creation of script file

echo Set objArgs = WScript.Arguments > _zipIt.vbs
echo InputFolder = objArgs(0) >> _zipIt.vbs
echo ZipFile = objArgs(1) >> _zipIt.vbs
echo CreateObject("Scripting.FileSystemObject").CreateTextFile(ZipFile, True).Write "PK" ^& Chr(5) ^& Chr(6) ^& String(18, vbNullChar) >> _zipIt.vbs

echo Set objShell = CreateObject("Shell.Application") >> _zipIt.vbs
echo Set source = objShell.NameSpace(InputFolder).Items >> _zipIt.vbs
echo objShell.NameSpace(ZipFile).CopyHere(source) >> _zipIt.vbs
echo wScript.Sleep 2000 >> _zipIt.vbs


::end of script file creation


::  Run the script file and compress the TEMPDIR creating a file called nfo.zip
::  The nfo.zip file should be placed on the desktop


Set ZIPFILE="%USERPROFILE%\Desktop\FARO_Tracker_Log_Files.zip"

CScript  _zipIt.vbs  %TEMPDIR%  %ZIPFILE%



:  Delete all remaining files and the TEMPDIR
del _zipIt.vbs

rmdir %TEMPDIR% /S /Q



::clear the screen and display new heading

cls

echo *************************************************
echo *************************************************
echo **                                             **
echo **   On your Windows Desktop is a file named:  **
echo **                                             **
echo **                                             **
echo **       FARO_Tracker_Log_Files.zip            **
echo **                                             **
echo **                                             **
echo **  Please send this file to FARO Support      **
echo **                                             **
echo **                                             **
echo *************************************************
echo *************************************************


Pause

